blob: ac67f22b0230f811c5e8cc0723afd2878b9677dd [file] [log] [blame]
<?xml version="1.0"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
<modelVersion>4.0.0</modelVersion>
<groupId>org.eclipse.tigerstripe</groupId>
<artifactId>org.eclipse.tigerstripe.parent</artifactId>
<version>0.0.0</version>
<packaging>pom</packaging>
<name>o.e.t/pom.xml</name>
<properties>
<tycho-version>0.10.0</tycho-version>
<junit.args>-Xms256m -Xmx1024m -XX:MaxPermSize=512m</junit.args>
<!-- Change this to the property of the system you are compiling on -->
<osgi.arch>x86</osgi.arch>
<!-- Change this to point to your local q7 executable.
Linux: path/to/q7/eclipse
Windows: C:\path\to\q7\eclipse.exe
Mac: Q7 is not yet supported for Macs
The 64-bit profile below overrides this location,
so if on a 64 bit machine change the definition in the profile below.-->
<q7.location>/auto/xmpsdk/q7_32/eclipse</q7.location>
</properties>
<modules>
<module>plugins</module>
<module>features</module>
<module>releng</module>
</modules>
<repositories>
<repository>
<id>helios</id>
<layout>p2</layout>
<url>http://download.eclipse.org/releases/helios/</url>
</repository>
</repositories>
<!-- Location of Q7 maven plugins -->
<pluginRepositories>
<pluginRepository>
<id>xored</id>
<snapshots>
<enabled>true</enabled>
</snapshots>
<name>Xored snapshots</name>
<url>http://maven.xored.com/nexus/content/repositories/snapshots/</url>
</pluginRepository>
</pluginRepositories>
<build>
<resources>
<resource>
<directory>${basedir}/src/java</directory>
<includes>
<include>**/*.vm</include>
<include>**/*.properties</include>
</includes>
</resource>
</resources>
<plugins>
<plugin>
<groupId>org.sonatype.tycho</groupId>
<artifactId>tycho-maven-plugin</artifactId>
<version>${tycho-version}</version>
<extensions>true</extensions>
</plugin>
<plugin>
<groupId>org.sonatype.tycho</groupId>
<artifactId>target-platform-configuration</artifactId>
<version>${tycho-version}</version>
<configuration>
<resolver>p2</resolver>
</configuration>
</plugin>
<plugin>
<groupId>org.sonatype.tycho</groupId>
<artifactId>maven-osgi-compiler-plugin</artifactId>
<version>${tycho-version}</version>
</plugin>
<plugin>
<groupId>org.sonatype.tycho</groupId>
<artifactId>maven-osgi-packaging-plugin</artifactId>
<version>${tycho-version}</version>
<configuration>
<strictVersions>false</strictVersions>
</configuration>
</plugin>
</plugins>
</build>
<profiles>
<profile>
<id>64-bit</id>
<activation>
<os>
<arch>x86_64</arch>
</os>
</activation>
<properties>
<q7.location>/auto/xmpsdk/q7/eclipse</q7.location>
<osgi.arch>x86_64</osgi.arch>
</properties>
</profile>
<profile>
<id>Windows</id>
<activation>
<os>
<family>windows</family>
</os>
</activation>
<properties>
<osgi.os>win32</osgi.os>
<osgi.ws>win32</osgi.ws>
</properties>
</profile>
<profile>
<id>MacOS</id>
<activation>
<os>
<family>mac</family>
</os>
</activation>
<properties>
<osgi.os>macosx</osgi.os>
<osgi.ws>cocoa</osgi.ws>
<junit.args>-XstartOnFirstThread -Xms256m -Xmx1024m -XX:MaxPermSize=512m</junit.args>
</properties>
</profile>
<profile>
<id>Linux</id>
<activation>
<os>
<family>linux</family>
</os>
</activation>
<properties>
<osgi.os>linux</osgi.os>
<osgi.ws>gtk</osgi.ws>
</properties>
</profile>
<profile>
<!-- We only want to run Q7 Tests when on windows or Linux until there
is Q7 support for Mac. -->
<id>q7Tests</id>
<activation>
<os>
<family>!mac</family>
</os>
</activation>
<modules>
<!-- <module>tests/org.eclipse.tigerstripe.ui.tests</module> -->
</modules>
</profile>
</profiles>
</project>